%define name	lexed
%define version	4.5.0
%define release	2mdk
%define major	%{version}
%define libname %mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Lexicon analyser
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Lionel.Clement/lexed/%{name}-%{version}.tar.bz2
URL:		http://atoll.inria.fr/~lclement/lexed-main.html
License:	GPL
Group:		Sciences/Computer science
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Lexed allows to search a dictionary entry from a string. The finished
automata-based algorithm is especially fast, and offers a good alternative to
hashes for large dictionnaries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README doc/*.html
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/liblexed-%{version}.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/liblexed.so
%{_datadir}/aclocal/*

%changelog
* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.5.0-2mdk 
- fixed major

* Thu Jul 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.5.0-1mdk 
- new version
- rpmbuildupdate aware

* Tue Jun 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.4-2mdk 
- rebuild

* Thu Apr 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.4-1mdk
- new version

* Tue Apr 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.3-1mdk
- new version

* Mon Apr 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.2-1mdk
- new version
- updated description

* Mon Mar 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.3.3-1mdk
- 4.3.3

* Mon Feb 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.3.2-1mdk
- 4.3.2

* Thu Jan 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.3.1-2mdk
- changed url
- lexed-config in devel package

* Mon Jan 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.3.1-1mdk
- first mdk release
